Skip to main content
GET
/
api
/
destinations
List destinations
curl --request GET \
  --url https://app.outlit.ai/api/destinations \
  --header 'Authorization: Bearer <token>'
{
  "ok": true,
  "commandId": "<string>",
  "commandVersion": 123,
  "correlationId": "<string>",
  "result": {
    "operationId": "<string>",
    "status": "<string>",
    "resources": [
      {
        "type": "<string>",
        "id": "<string>"
      }
    ],
    "data": {
      "destinations": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "key": "<string>",
          "name": "<string>",
          "description": "<string>",
          "enabled": true,
          "maskedConfig": {},
          "lastSyncedAt": "2023-11-07T05:31:56Z",
          "providerErrorCode": "<string>",
          "providerErrorMessage": "<string>",
          "isDefault": true,
          "schemaVersion": "<string>",
          "configHash": "<string>",
          "archivedAt": "2023-11-07T05:31:56Z",
          "createdAt": "2023-11-07T05:31:56Z",
          "updatedAt": "2023-11-07T05:31:56Z"
        }
      ]
    },
    "warnings": [
      "<string>"
    ],
    "auditId": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Outlit API key using the Bearer ok_... format.

Response

Configured destinations were returned.

ok
boolean
required
commandId
string
required
Allowed value: "destination.list"
commandVersion
integer
required
correlationId
string
required
result
object
required